Brivio API reference
Email

Get a message sent through /email/send, with its delivery timeline (scope: emails:send)

Org-scoped. Accepts a key holding `emails:read` or `emails:send`, so a sending application can poll what it sent.

GET
/email/messages/{id}

Org-scoped. Accepts a key holding emails:read or emails:send, so a sending application can poll what it sent.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Response Body

OK

application/json
  1. response
data*
error*null
curl -X GET "https://example.com/email/messages/string"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "status": "queued",    "category": "transactional",    "from": "string",    "subject": "string",    "recipients": [      {        "email": "user@example.com",        "name": "string",        "kind": "to",        "status": "accepted"      }    ],    "suppressed_recipients": [      "string"    ],    "tags": [      "string"    ],    "message_id": "string",    "provider_message_id": "string",    "idempotency_key": "string",    "last_error": "string",    "created_at": "2019-08-24T14:15:22Z",    "sent_at": "2019-08-24T14:15:22Z",    "delivered_at": "2019-08-24T14:15:22Z",    "bounced_at": "2019-08-24T14:15:22Z",    "complained_at": "2019-08-24T14:15:22Z",    "events": [      {        "type": "email.queued",        "at": "2019-08-24T14:15:22Z"      }    ]  },  "error": null}